second.hpp File Reference

Forward declares `boost::hana::second`. More...

## Namespaces

| boost::hana
| Namespace containing everything in the library.

## Variables

constexpr auto | boost::hana::second

Returns the second element of a pair.Note that if the `Product` actually stores the elements it contains, `hana::second` is required to return a lvalue reference, a lvalue reference to const or a rvalue reference to the second element, where the type of reference must match that of the pair passed to `second`. If the `Product` does not store the elements it contains (i.e. it generates them on demand), this requirement is dropped. More...

## Detailed Description

Forward declares `boost::hana::second`.

Copyright
  Louis Dionne 2013-2017 Distributed under the Boost Software License, Version 1.0. (See accompanying file LICENSE.md or copy at http://boost.org/LICENSE_1_0.txt)